Package org.tmatesoft.svn.core.wc2.admin

## Class SvnRepositoryHotCopy

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnOperation<V>
  - - org.tmatesoft.svn.core.wc2.admin.SvnRepositoryOperation<java.lang.Long>
    - - org.tmatesoft.svn.core.wc2.admin.SvnRepositoryHotCopy

- All Implemented Interfaces:
    `ISvnOperationOptionsProvider`

      public class SvnRepositoryHotCopy
      extends SvnRepositoryOperation<java.lang.Long>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SvnRepositoryHotCopy​(SvnOperationFactory factory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.File` | `getNewRepositoryRoot()` |
    `java.io.File` | `getSrcRepositoryRoot()` |
    `void` | `setNewRepositoryRoot​(java.io.File newRepositoryRoot)` |
    `void` | `setSrcRepositoryRoot​(java.io.File srcRepositoryRoot)` |

    - ### Methods inherited from class org.tmatesoft.svn.core.wc2.admin.SvnRepositoryOperation

      `getRepositoryRoot, isChangesWorkingCopy, setRepositoryRoot`

    - ### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

      `addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, initDefaults, isCancelled, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnRepositoryHotCopy

          public SvnRepositoryHotCopy​(SvnOperationFactory factory)

  - ### Method Detail

    - #### getSrcRepositoryRoot

          public java.io.File getSrcRepositoryRoot()

    - #### setSrcRepositoryRoot

          public void setSrcRepositoryRoot​(java.io.File srcRepositoryRoot)

    - #### getNewRepositoryRoot

          public java.io.File getNewRepositoryRoot()

    - #### setNewRepositoryRoot

          public void setNewRepositoryRoot​(java.io.File newRepositoryRoot)